## org.exist.dom
Class NamedNodeMapImpl

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  org.exist.dom.NamedNodeMapImpl

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, org.w3c.dom.NamedNodeMap, java.util.RandomAccess, java.io.Serializable

public class NamedNodeMapImpl
extends java.util.ArrayList
implements org.w3c.dom.NamedNodeMap

See Also:
  Serialized Form

Constructor Summary
`NamedNodeMapImpl()`

Method Summary
`int` `getLength()`
`org.w3c.dom.Node` `getNamedItem(java.lang.String name)`
`org.w3c.dom.Node` `getNamedItemNS(java.lang.String namespaceURI, java.lang.String name)`
`org.w3c.dom.Node` `item(int index)`
`org.w3c.dom.Node` `removeNamedItem(java.lang.String name)`
`org.w3c.dom.Node` `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String name)`
`org.w3c.dom.Node` `setNamedItem(org.w3c.dom.Node arg)`
`org.w3c.dom.Node` `setNamedItemNS(org.w3c.dom.Node arg)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### NamedNodeMapImpl

    public NamedNodeMapImpl()

Method Detail

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.NamedNodeMap`

### setNamedItem

    public org.w3c.dom.Node setNamedItem(org.w3c.dom.Node arg)
                                  throws org.w3c.dom.DOMException

  Specified by:
    `setNamedItem` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

### setNamedItemNS

    public org.w3c.dom.Node setNamedItemNS(org.w3c.dom.Node arg)
                                    throws org.w3c.dom.DOMException

  Specified by:
    `setNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

### item

    public org.w3c.dom.Node item(int index)

  Specified by:
    `item` in interface `org.w3c.dom.NamedNodeMap`

### getNamedItem

    public org.w3c.dom.Node getNamedItem(java.lang.String name)

  Specified by:
    `getNamedItem` in interface `org.w3c.dom.NamedNodeMap`

### getNamedItemNS

    public org.w3c.dom.Node getNamedItemNS(java.lang.String namespaceURI,
                                           java.lang.String name)

  Specified by:
    `getNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

### removeNamedItem

    public org.w3c.dom.Node removeNamedItem(java.lang.String name)
                                     throws org.w3c.dom.DOMException

  Specified by:
    `removeNamedItem` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

### removeNamedItemNS

    public org.w3c.dom.Node removeNamedItemNS(java.lang.String namespaceURI,
                                              java.lang.String name)
                                       throws org.w3c.dom.DOMException

  Specified by:
    `removeNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

Copyright (C) Wolfgang Meier. All rights reserved.